Page MenuHomePhabricator

Deprecate the `.menu` class
Closed, ResolvedPublic

Description

Per T249372#6147215

the deprecated class="menu" reserved for Legacy Vectors dropdown menus to become applied to all sidebar portlets, p-personal and tab areas in Legacy Vector and New Vector. Could this class be limited to a condition only enabled for Legacy Vector's dropdown menus?

Acceptance criteria

  • Only use the deprecated menu class on dropdown menus

sign off steps

  • Identify a plan for removing the .menu class altogether from the Vector codebase.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2020, 5:32 PM
Jdlrobson updated the task description. (Show Details)May 21 2020, 6:43 PM

Change 597849 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Vector@master] Reduce distribution of legacy classes

https://gerrit.wikimedia.org/r/597849

^ seems like a pretty elegant solution to this problem.

Jdlrobson triaged this task as Medium priority.May 26 2020, 4:20 PM
Jdlrobson updated the task description. (Show Details)

Change 597849 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Reduce distribution of legacy classes

https://gerrit.wikimedia.org/r/597849

Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Needs triage to Menus on the Vector board.May 29 2020, 1:14 AM